On running dronekit code v2.9.0 on arduplane v 3.2.1., proper communication link between pixhawk and companion computer is not established and it always shows "command received" and then after a while the program terminates. On looking up in the internet, this issue has been categorized as incompatibility between dronekit and arduplane versions. So, I downgraded the dronekit version (v2.0.0) since I needed arduplane v3.2.1 but it didn't work either (Timeout in establishing connection error). Also due to lack of documentation for the older version (v2.0.0), i couldn't do much. Is there any way to run dronekit on arduplane v3.2.1 ?

Views: 96

Reply to This

© 2019   Created by Chris Anderson.   Powered by

Badges  |  Report an Issue  |  Terms of Service